' Declare API Functions
'
Declare Function OpenComm Lib "User" (ByVal lpComName As String, ByVal wInQueue As Integer, ByVal wOutQueue As Integer) As Integer
Declare Function CloseComm Lib "User" (ByVal nCid As Integer) As Integer
Declare Function WriteComm Lib "User" (ByVal nCid As Integer, ByVal lpBuf As String, ByVal nSize As Integer) As Integer
Declare Function ReadComm Lib "User" (ByVal nCid As Integer, ByVal lpBuf As String, ByVal nSize As Integer) As Integer
Declare Function GetCommState Lib "User" (ByVal nCid As Integer, ByVal lpDCB As Any) As Integer
Declare Function SetCommState Lib "User" (ByVal lpDCB As Any) As Integer
Declare Function BuildCommDCB Lib "User" (ByVal lpDef As String, ByVal lpDCB As Any) As Integer
Declare Function GetCommError Lib "User" (ByVal nCid As Integer, ByVal lpStat As Any) As Integer
Declare Function FlushComm Lib "User" (ByVal nCid As Integer, ByVal nQueue As Integer) As Integer

Declare Function GetPrivateProfileInt Lib "Kernel" (ByVal lpAppName As String, ByVal lpKeyName As String, ByVal nDefault As Integer, ByVal lpFileName As String) As Integer
Declare Function GetPrivateProfileString Lib "Kernel" (ByVal lpAppName As String, ByVal lpKeyName As String, ByVal lpDefault As String, ByVal lpReturnedString As String, ByVal nSize As Integer, ByVal lpFileName As String) As Integer
Declare Function WritePrivateProfileString Lib "Kernel" (ByVal lpAppName As String, ByVal lpKeyName As String, ByVal lpString As String, ByVal lplFileName As String) As Integer

Global Const IE_BADID = (-1)    '  Invalid or unsupported id
Global Const IE_OPEN = (-2) '  Device Already Open
Global Const IE_NOPEN = (-3)    '  Device Not Open
Global Const IE_MEMORY = (-4)   '  Unable to allocate queues
Global Const IE_DEFAULT = (-5)  '  Error in default parameters
Global Const IE_HARDWARE = (-10)    '  Hardware Not Present
Global Const IE_BYTESIZE = (-11)    '  Illegal Byte Size
Global Const IE_BAUDRATE = (-12)    '  Unsupported BaudRate

'   Program globals
Global OpenCom As Integer
Global NewTime As String
Global ComPort As String * 4
Global TimeZone As Integer
Global TimeDesc As String
Global TimeIndex As Integer

'  Program Status Codes
Global Pgm_Status As Integer
Global Const PGM_COM_OPEN = (1)
Global Const PGM_DIALED = (2)


'  Error Flags - for reference only, not used in code
Global Const CE_RXOVER = &H1    '  Receive Queue overflow
Global Const CE_OVERRUN = &H2   '  Receive Overrun Error
Global Const CE_RXPARITY = &H4  '  Receive Parity Error
Global Const CE_FRAME = &H8 '  Receive Framing error
Global Const CE_BREAK = &H10    '  Break Detected
Global Const CE_CTSTO = &H20    '  CTS Timeout
Global Const CE_DSRTO = &H40    '  DSR Timeout
Global Const CE_RLSDTO = &H80   '  RLSD Timeout
Global Const CE_TXFULL = &H100  '  TX Queue is full
Global Const CE_PTO = &H200 '  LPTx Timeout
Global Const CE_IOE = &H400 '  LPTx I/O Error
Global Const CE_DNS = &H800 '  LPTx Device not selected
Global Const CE_OOP = &H1000    '  LPTx Out-Of-Paper
Global Const CE_MODE = &H8000   '  Requested mode unsupported

' Booleans
Global Const TRUE = -1
Global Const FALSE = 0

